Package org.apache.solr.client.solrj.response

# Class JavaBinResponseParser

java.lang.Object
org.apache.solr.client.solrj.response.ResponseParser
org.apache.solr.client.solrj.response.JavaBinResponseParser

Direct Known Subclasses:
  `StreamingJavaBinResponseParser`

public class JavaBinResponseParser extends ResponseParser

Since:
  solr 1.3

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`JAVABIN_CONTENT_TYPE`
`static final String`
`JAVABIN_CONTENT_TYPE_V2`
`protected JavaBinCodec.StringCache`
`stringCache`

## Constructor Summary

Constructors
Constructor
Description
`JavaBinResponseParser()`

## Method Summary

Modifier and Type
Method
Description
`protected JavaBinCodec`
`createCodec()`
`Collection<String>`
`getContentTypes()`
A well-behaved ResponseParser will return the content-types it supports.
`String`
`getWriterType()`
The writer type placed onto the request as the `wt` param.
`NamedList<Object>`
`processResponse(InputStream body, String encoding)`
`JavaBinResponseParser`
`setStringCache(JavaBinCodec.StringCache cache)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### JAVABIN_CONTENT_TYPE_V2

public static final String JAVABIN_CONTENT_TYPE_V2

See Also:
  - Constant Field Values

### JAVABIN_CONTENT_TYPE

public static final String JAVABIN_CONTENT_TYPE

See Also:
  - Constant Field Values

### stringCache

protected JavaBinCodec.StringCache stringCache

## Constructor Details

### JavaBinResponseParser

public JavaBinResponseParser()

## Method Details

### setStringCache

public JavaBinResponseParser setStringCache(JavaBinCodec.StringCache cache)

### getWriterType

public String getWriterType()
Description copied from class: `ResponseParser`
The writer type placed onto the request as the `wt` param.

Specified by:
  `getWriterType` in class `ResponseParser`

### processResponse

public NamedList<Object> processResponse(InputStream body, String encoding) throws IOException

Specified by:
  `processResponse` in class `ResponseParser`
Throws:
  `IOException`

### createCodec

protected JavaBinCodec createCodec()

### getContentTypes

public Collection<String> getContentTypes()
Description copied from class: `ResponseParser`
A well-behaved ResponseParser will return the content-types it supports.

Specified by:
  `getContentTypes` in class `ResponseParser`
Returns:
  the content-type values that this parser is capable of parsing. Never null. Empty means no enforcement.